PDA

View Full Version : _glutKeyboardUpFunc@4



HERVE3D
05-09-2003, 06:19 AM
visual C++ 6, windows 2000, GLUT

In can compile my code, but when I launch it I have this message :
_glutKeyboardUpFunc@4 not found in GLUT32.DLL

The function glutKeyboardUpFunc is in my DLL.
I tryed to add : #define GLUT_API_VERSION 4
but that doesn't work too.

jwatte
05-09-2003, 07:11 AM
Look up the documentation for "depends.exe" in your development environment. Another tool that will help you, also part of your development environment, is "link.exe /dump".

shinpaughp
05-09-2003, 07:16 AM
Requires glut 3.7 or greater. That includes headers, libs, and dlls. Works on mine. It can be downloaded here (http://www.xmission.com/~nate/glut.html) . Be sure to get the bin and not the src. They are already compiled for v3.7.6




GLUT_XLIB_IMPLEMENTATION=13 mjk's GLUT 3.7 beta with GameGLUT support.

GLUT_XLIB_IMPLEMENTATION=14 mjk's GLUT 3.7 beta with f90gl friend interface.

GLUT_XLIB_IMPLEMENTATION=15 mjk's GLUT 3.7 beta sync'ed with Mesa <GL/glut.h>

....

#if (GLUT_API_VERSION >= 4 | | GLUT_XLIB_IMPLEMENTATION >= 13)
GLUTAPI void APIENTRY glutKeyboardUpFunc(void (GLUTCALLBACK *func)(unsigned char key, int x, int y));


[This message has been edited by shinpaughp (edited 05-09-2003).]

HERVE3D
05-09-2003, 07:52 AM
Thanks to all!

I downloaded the last verion of GLUT 3.7 : http://www.opengl.org/developers/documentation/glut/index.html?GLUT#windows

And that work very well.